Package com.google.protobuf

# Enum Class Value.KindCase

java.lang.Object
java.lang.Enum<Value.KindCase>
com.google.protobuf.Value.KindCase

All Implemented Interfaces:
  `AbstractMessageLite.InternalOneOfEnum`, `Internal.EnumLite`, `Serializable`, `Comparable<Value.KindCase>`, `Constable`

Enclosing class:
  Value

public static enum Value.KindCase extends Enum<Value.KindCase> implements Internal.EnumLite, AbstractMessageLite.InternalOneOfEnum

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOOL_VALUE`
`KIND_NOT_SET`
`LIST_VALUE`
`NULL_VALUE`
`NUMBER_VALUE`
`STRING_VALUE`
`STRUCT_VALUE`

## Method Summary

Modifier and Type
Method
Description
`static Value.KindCase`
`forNumber(int value)`
`int`
`getNumber()`
Retrieves the field number of the field which was set in this `oneof`, or `0` if none were.
`static Value.KindCase`
`valueOf(int value)`
Deprecated.
`static Value.KindCase`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Value.KindCase[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NULL_VALUE

public static final Value.KindCase NULL_VALUE

### NUMBER_VALUE

public static final Value.KindCase NUMBER_VALUE

### STRING_VALUE

public static final Value.KindCase STRING_VALUE

### BOOL_VALUE

public static final Value.KindCase BOOL_VALUE

### STRUCT_VALUE

public static final Value.KindCase STRUCT_VALUE

### LIST_VALUE

public static final Value.KindCase LIST_VALUE

### KIND_NOT_SET

public static final Value.KindCase KIND_NOT_SET

## Method Details

### values

public static Value.KindCase[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Value.KindCase valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

@Deprecated public static Value.KindCase valueOf(int value)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static Value.KindCase forNumber(int value)

### getNumber

public int getNumber()
Description copied from interface: `AbstractMessageLite.InternalOneOfEnum`
Retrieves the field number of the field which was set in this `oneof`, or `0` if none were.

Specified by:
  `getNumber` in interface `AbstractMessageLite.InternalOneOfEnum`
Specified by:
  `getNumber` in interface `Internal.EnumLite`